
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>通过XSLT访问Java代码[转] / iVAN</title>

    <meta name="description" content="通过XSLT访问Java代码[转] 访问 假如你希望将XML数据转换为固定宽度和纯文本的字符串--这刚好是XSLT不太方便实现的一个特性,或者,也许你希望在XML文件中执行词语替换.在这些情况下,当你的事务超出了XSLT自身的处理能力时,可以通过在你的XSLT处理器中调用Java函数来完成.我看到过利用类似VBScript和Jscript的脚本语言完成特殊处理的例子(针对微软解析器的),但是如何利用Java来执行特殊的处理还不是特别地明显.尽管如此,简单地说,可以在XSLT处理器中通过XML命名空间(namespaces)调用Ja">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">通过XSLT访问Java代码[转]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>访问</p>
<p>假如你希望将XML数据转换为固定宽度和纯文本的字符串——这刚好是XSLT不太方便实现的一个特性，或者，也许你希望在XML文件中执行词语替换。在这些情况下，当你的事务超出了XSLT自身的处理能力时，可以通过在你的XSLT处理器中调用Java函数来完成。<br />我看到过利用类似VBScript和Jscript的脚本语言完成特殊处理的例子（针对微软解析器的），但是如何利用Java来执行特殊的处理还不是特别地明显。尽管如此，简单地说，可以在XSLT处理器中通过XML命名空间（namespaces）调用Java函数来实现。Java与XSLT的结合为构建健壮的应用程序提供了强有力的方法。<br />使用定制的命名空间\r<br />命名空间是通过使用统一资源标识符(URI)来修饰限定XSL中元素和属性名称的一种方法。例如，常见的XSL元素需要有xsl命名空间前缀来修饰，xsl通过使用XSLT命名空间URI来声明：<br />xmlns:xsl="http://www.w3.org/1999/XSL/Transform" <br />但是并不局限于使用XSLT命名空间，你完全可以自由地声明你自己定制的命名空间，并用它们来识别定制的XSLT标签和范围。<br />你必须使用定制的命名空间前缀来完成对外部函数的调用，例如，mynspace:fundtion()，该命名空间前缀mynspace，必须与一个命名空间URI相关联，例如：<br />xmlns:myspace="d:///XMLprogs/mynamespace" <br />一般的Java绑定使用命名空间URI标识Java类函数的位置。对用于本文示例代码的Xalan XSLT处理器（版本1.2.2）来说，命名空间URI必须具有URI-stem/packagename的形式。如果你使用了XT，那么你的命名空间应该有如下格式：<br />xmlns:mynspace="d://XMLprogs/mynamespace.myclassname <br />这种情况下，你可以使用XSLT代码调用来自myclassname的Java函数。<br />绑定外部Java函数<br />此处给出在XSLT模板内部绑定Java语言编写的外部函数的过程。<br />将你自己定制的命名空间作为它们的属性添加到样式表（stylesheet）元素或者你的模板中。<br />确保你的Java类文件所在目录位于你的XSLT处理器所运行的Java虚拟机（JVM）的CLASSPATH中。<br />对于静态方法，可以使可以用完全合格的类名称加上方法和任何必需的的参数，当然还有命名空间前缀。<br />对于非静态方法，首先创建类实例，然后调用该方法并提供任何必需的参数。<br />例如，下面的样式表元素包含一个定制的命名空间声明：</p>
<p>&lt;?xml version=”1.0” encoding=”UTF-8”?&gt;&lt;xsl:stylesheet version=”1.0” xmlns:xsl=”http://www.w3.org/1999/XSL/Transform” xmlns:myspace=”d://XMLprogs/mynamespace”&gt;</p>
<p>在声明了这个命名空间后，可以访问该类的任何静态方法，像这样：</p>
<p>&lt;xsl:variable name=”funvalue”select=”mynspace:classname.function()”/&gt;</p>
<p>如果方法不是静态的，那么必须首先调用类构造器，例如：</p>
<p>&lt;xsl:variable name="funvalue" select="mynspace.classname.new()"/&gt;&lt;?xml version="1.0" encoding="UTF-8"?&gt;&lt;xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="d://XMLprogs/mynamespace" exclude-result-prefixes="java"&gt;</p>
<p>Java包\"mynamespace"必须位于"d://XMLprogs"目录中。<br />注意：使用可选属性xsl:exclude-result-prefixes，预防了java命名空间被包括到结果文档中。</p>
<p>&lt;xsl:template match="/"&gt;&lt;html&gt;&lt;body&gt;&lt;p&gt;&lt;xsl:value-of select="java:DateClass.displayDate()"/&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;&lt;/xsl:template&gt;</p>
<p>上面的XSLT代码中，&lt;xsl:value-of select="java:DateClass.displayDate()"/&gt;行调用位于mynamespace包中名为DateClass的类的静态方法displayDate()。<br />利用这种技术，你可以调用任何Java类方法——包括那些需要参数的方法——参数来自于你的XSLT模板。<br />本文涉及的代码：date.xsl</p>
<p>&lt;?xml version="1.0" encoding="UTF-8" ?&gt;&lt;xsl:stylesheet version="1.0"xmlns:xsl="http://www.w3.org/1999/XSL/Transform"xmlns:java="d://XMLprogs/mynamespace" exclude-result-prefixes="java"&gt;&lt;xsl:template match="/"&gt;&lt;html&gt;&lt;body&gt;&lt;p&gt;&lt;xsl:value-ofselect="java:DateClass.displayDate()" /&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;&lt;/xsl:template&gt;&lt;/xsl:stylesheet&gt;DateClass.javapackagemynamespace;importjava.util.Date;public class DateClass{public static String displayDate(){Date d = new Date();returnd.toString();}}</p>
<p>要运行这些代码，需要：<br />创建文件夹"d:XMLProgsmynamespace"。<br />将DateClass.java文件放入上述路径并编译得到DateClass.class文件。<br />将"d:XMLProgsmynamespace"放入classpath变量中。<br />利用XSLT处理器，例如XT或XALAN将该XSL文件和具体的XML文件关联。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 07:49:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e9%97%b4/" title="空间">空间</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%bc%80/" title="前缀">前缀</a>, <a href="https://www.iamivan.net/tag/xslt/" title="xslt">xslt</a>, <a href="https://www.iamivan.net/tag/java-%e5%91%bd%e5%90%8d/" title="java 命名">java 命名</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>通过XSLT访问Java代码[转]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDeevb.html" rel="bookmark">javascript-js中的java代码如何访问js中方法的参数？？见图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 js中的java代码如何访问js中方法的参数??见图 如何让1处的值传到2处这里?? 解决方案 需要用ajax提交你的index到服务器,服务器端无法直接获取客户端js的变量值 &lt;script src=&quot;&quot;http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.4.1.min.js&quot;&quot;&gt;&lt;/script&gt;&lt;script type=&quot;&quot;text/javascript&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRRrep.html" rel="bookmark">java代码执行js-java代码模拟浏览器，访问网页；使网页中的统计代码能执行。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java代码模拟浏览器,访问网页:使网页中的统计代码能执行. 我的操作步奏: 1.Eclipse里面写个简单的jsp页面,加入CNZZ统计脚本,启动服务器. 2.浏览器访问.浏览器中访问jsp,CNZZ系统能统计到该次访问.3.java代码访问.HttpClient的get请求访问同一地址(浏览器中地址),能获得正确响应,但是CNZZ系统,统计不到该次访问.也就是说没有执行统计脚本. 第三点中如何让CNZZ统计到代码的访问???(我百度查看过很多文章,一般就停留在获取页面代码,不能像浏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqlXyb.html" rel="bookmark">java代码将一个byte数组封装成url，可以直接访问网络下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java代码将一个byte数组封装成url,可以直接访问网络下载 1.我从别的地方能且只能得到一个byte数组和一个文件名,此数组原本是一个doc文件, 2.我现在要将这个数组封装成url下载地址,就是直接在浏览器中输入地址就能直接下载的那种 3.我用的语言是java,服务器是tomcat 各位大神,救命! 解决方案 换个思路,不是组装成url,而是在给定一个selevet,然后在相应的response写回数据.还有要在response返回时设置相应的header参数. Content			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW1Ddz.html" rel="bookmark">Java代码统计网站中不同省份用户的访问数&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.需求 针对log日志中给定的信息,统计网站中不同省份用户的访问数 二.编程代码 package org.apache.hadoop.studyhdfs.mapreduce; import java.io.IOException; import org.apache.commons.lang.StringUtils; import org.apache.hadoop.conf.Configuration; import org.apache.hadoop.conf.Configured; im			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0yWyz.html" rel="bookmark">java代码通过HttpClient访问网站返回html的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我用java代码访问一个网址他返回的是一个html.javascript.css和外部的css.js可是这个页面body里有个onload方法在浏览器下执行的结果和java控制台输出的结果不一样java控制台返回的是未执行javascript的html浏览器下返回的是执行的javascript的结果例如:如果返回的html是这个&lt;script&gt;functiontest(){document.write('testout')}&lt;/script&gt;&lt;body&gt;&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6kOWp.html" rel="bookmark">XML到Java代码的数据绑定之对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|对象|数据 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEZv3M.html" rel="bookmark">从XML到Java代码的数据绑定之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|数据     对象,无处不在的对象 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdxjNp.html" rel="bookmark">从XML到Java代码的数据绑定之对象【来自JAVA家】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|对象|数据 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6dZoz.html" rel="bookmark">从XML到Java代码的数据绑定之对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|对象|数据 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyY8MN.html" rel="bookmark" class="title">你不看一下吗，有一份穿衣指南需要您签收</a>
					<div>
						为什么程序员喜欢穿格子衫? 因为这体现了程序员精致的生活追求.别小看一件格子衫,剪裁的难度比素色衬衫不知道高到哪里去.只要下剪和缝纫时稍有偏差,到时候格线就对不整齐.所以这也导致了格子衫良品率低,成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPPr8p.html" rel="bookmark" class="title">360浏览器常见问题解答汇总</a>
					<div>
						  相信很多网友,都会下载安装一个浏览器,而360安全浏览器则是大家的首选,但在使用360浏览器过程中,网友也会产生不少的问题,针对这些问题,小编在此一一为大家进行解答. 1.360安全浏览器怎么和世 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr1X8p.html" rel="bookmark" class="title">EJB的存取和实现</a>
					<div>
						作为轻量级的容器,Spring常常被认为是EJB的替代品.我们也相信,对于很多 (不一定是绝大多数)应用和用例,相对于通过EJB容器来实现相同的功能而言, Sping作为容器,加上它在事务,ORM和J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7xg8b.html" rel="bookmark" class="title">ASP中Response对象的集合、属性和方法介绍</a>
					<div>
						 Response对象与一个HTTP响应相响应,通过该对象的属性和方法可以控制如何将服务器的数据发送到客户端浏览器. 在ASP脚本中使用Response对象时,遵循以下语法格式: Response.集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrElkp.html" rel="bookmark" class="title">搜狗输入法怎么关闭模糊音</a>
					<div>
						  搜狗输入法怎么关闭模糊音           我的普通话很标准,每次输入都会在候选中给我出现很奇怪的东西! 您很有可能是开启了模糊音功能,在输入法的状态栏中单击右键,选择设置属性,点击高级选项,进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7nO0M.html" rel="bookmark" class="title">星轨拍摄及合成操作</a>
					<div>
						  - 本帖被 论坛管理员 设置为精华(2014-11-26) - 夜晚星空浩淼,很多摄影人总是看到摄影论坛有很多星轨图片,就无法掌握拍摄技巧.下面我就不保守的教学: 首先选择大广角镜头,光圈开最大F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwP7Rz.html" rel="bookmark" class="title">win8系统备份及磁盘分区</a>
					<div>
						系统备份及镜像创建 首先我们将鼠标滑至屏幕右下角调出Charm栏并选择设置,然后我们找到并打开&quot;控制面板&quot;,在这里我们选择&quot;系统和安全&quot;下的&quot;通过文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6kv6z.html" rel="bookmark" class="title">Ruby中关于hash的基本使用方法</a>
					<div>
						  这篇文章主要介绍了Ruby中关于hash的基本使用方法,包括哈希的创建和一些内置方法的使用,需要的朋友可以参考下 哈希键 - 值对的集合,类似这样:&quot;employee&quot; =&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6wndz.html" rel="bookmark" class="title">sqlplus编辑命令怎么用</a>
					<div>
						  oracle数据库有很多查询工具,例如大名鼎鼎PLSQL,习惯了图形界面之后,再来面对字符界面的sqlplus真是一种折磨,但不知那位仙人说过&quot;存在就是合理&quot;. 有时候恰恰需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oA67b.html" rel="bookmark" class="title">PS还原绚烂的海滨落日</a>
					<div>
						  1.分析原图 这是一张海边落日的图片,但是拍摄时间不对,天空还很亮,夕阳的感觉偏弱.同时图片偏灰,色彩也不够饱满. 2.调整对比 新建曲线调整层,将曲线两端向中间拖曳,整体调整画面的对比度. 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBKqVz.html" rel="bookmark" class="title">SecureCRT常用快捷键设置与字体设置方法</a>
					<div>
						这篇文章主要介绍了SecureCRT的一些使用小技巧,需要的朋友可以参考下   1:如果不想每次登陆都输入密码,可以在你打开的session里邮件session option-&gt;login ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGmE7p.html" rel="bookmark" class="title">PS天猫&sol;淘宝海报设计教程</a>
					<div>
						  天猫/淘宝海报设计教程         注:更多精彩教程请关注三联photoshop教程栏目,三联PS群:182958314欢迎你的加入 分类: PS图片处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o9Dqb.html" rel="bookmark" class="title">如何禁用Win8&period;1电脑触摸屏？</a>
					<div>
						  小编是一个不喜欢使用触摸板只使用键盘和鼠标的电脑族,今天小编便教教大家如何禁用Win8.1系统的触摸屏,下面就来一起看看吧! 具体方法: • 右键开始菜单,进入设备管理器 • 选择人体学输入设备  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGL29p.html" rel="bookmark" class="title">qq旋风下载怎么限速</a>
					<div>
						  首先双击打开已经安装好的QQ旋风软件 选中主界面的下拉小箭头,点击,在工具里可以设置QQ旋风的下载模式 智能模式:设置为智能模式是根据电脑现有的带宽资源和使用状况的综合考虑下,软件自动设置自己的上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72v8dp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;非主流&rdquo;的智能卡应用市场在哪？怎么抓？</a>
					<div>
						我们听过不少传统的主流智能卡应用,如:电信领域的电话卡.SIM卡,金融领域的金融IC卡,交通领域的非接触式RFID公交智能卡,医疗领域的社保卡.市民健康卡等,甚至包括政府领域的便民卡.办税卡等-- 然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVQA3b.html" rel="bookmark" class="title">KVM为虚拟机添加设备总结</a>
					<div>
						有关为KVM中的虚拟机(以下称VM)添加硬盘.网卡等设备,我以前写过几篇有关这方面的文章.文章如下:&lt;烂泥:KVM虚拟机windows系统增加硬盘&gt;,&lt;烂泥: KVM虚拟机Linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAQaeM.html" rel="bookmark" class="title">beyondadmin-有没有BeyondAdmin的开发文档？</a>
					<div>
						问题描述 有没有BeyondAdmin的开发文档? 网上找了半天都是只有介绍没有开发文档,比如控件有哪些属性,数据怎么绑定,js怎么操作,api之类的都没有,哪里能找到? 解决方案 没有的,如果你购买 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjgxZp.html" rel="bookmark" class="title">Django Nginx Gunicorn Centos7 环境部署，将项目上线</a>
					<div>
						序言:相信很多人遇到了这样的问题,将自己的django项目完成后,准备部署到Linux上,遇到了很多的麻烦,网上的教程大多数使用python2的django项目,一旦用于python3后,就会出很多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmrmZz.html" rel="bookmark" class="title">标签概述及GoodMES云标签的创新应用</a>
					<div>
						万物互联的时代已经来临,标签作为连接商品信息的重要载体,已全面融入到我们的生活生产中,随之而来的标签输出问题也是普遍存在的:条码打印软件成本高.条码标签使用不规范.打印模板存储混乱.供应商来料标签混乱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL776p.html" rel="bookmark" class="title">java-JAVA 新手 在多态时遇到这个问题</a>
					<div>
						问题描述 JAVA 新手 在多态时遇到这个问题 在&lt;Head First JAVA&gt;这本书中看到一句话 :只有在引用变量的类型就是带有某方法的类型时才能调用该方法. 那么在使用多态时 比如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RQw6z.html" rel="bookmark" class="title">hdu 2896 病毒侵袭</a>
					<div>
						点击此处即可传送到hdu 2896 //说点没有用的,这其实就是一个裸的AC自动机的模板题,我一开始什么都不会,这也是根据一个大牛的博客整的,在这条道路上还是太弱啊...... `病毒侵袭 Probl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqAKyz.html" rel="bookmark" class="title">Flink - Working with State</a>
					<div>
						All transformations in Flink may look like functions (in the functional processing terminology), but ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq7a6p.html" rel="bookmark" class="title">演讲实录丨刘知青 人工智能围棋的技术突破，标志着人工通用智能的到来</a>
					<div>
						人工智能围棋的技术突破 标志着人工通用智能的到来 刘知青 CAAI理事 北邮计算机围棋研究所所长     刘知青:大家上午好,很荣幸今天请到了各位嘉宾来合肥,有机会报道一下两个方面的东西:一个就是Al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKdVAp.html" rel="bookmark" class="title">组播条件下如何指定本机地址为发送源  C&num;</a>
					<div>
						问题描述 目前的情况描述如下:组播的接收方都需要指定发送源以后才能接收数据,如果组播数据的发送方ip不在指定的源列表里面,则无法接受到数据.现在题主能收到对方发送过来的数据,但是对方无法接收到我发送的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQGXBp.html" rel="bookmark" class="title">Scoket通讯</a>
					<div>
						问题描述 有一个终端每2秒给我发送一个心跳信息,要写tcpServer端接收信息,要求是16进制显示,而且是小端模式,求大神指教,感激不尽,java代码 解决方案 解决方案二:有啥问题问就是了你这是留 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkoZ1M.html" rel="bookmark" class="title">Windows XP迁移助手，数据备份与还原不再难</a>
					<div>
						2014年4月8日,微软即将停止对Windows XP的服务支持.根据第三方数据显示,目前国内至少有2亿用户仍然在使用http://www.aliyun.com/zixun/aggregation/1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnN8rM.html" rel="bookmark" class="title">【新智元专访】 阿里巴巴&OpenCurlyDoubleQuote;NASA计划&rdquo;新进展：刷新视觉计算世界纪录</a>
					<div>
						5月18日,机器视觉算法测评平台KITTI的世界纪录再次被刷新--阿里云将其车辆检测的准确率拉升至90.46%.车辆检测被认为是实现无人驾驶的关键技术,极具挑战. 该成果公布后,新智元第一时间采访到了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKoZPp.html" rel="bookmark" class="title">多货基五一前暂停申购 支付宝增赎回限制</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今年&quot;五一&quot;小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdywa3z.html" rel="bookmark" class="title">上药&OpenCurlyDoubleQuote;吞下&rdquo;4医药龙头 医药大整合时代来临</a>
					<div>
						近日,上海医药宣布收购四家外地http://www.aliyun.com/zixun/aggregation/32855.html&quot;&gt;医药企业,目前新上药已经与广州中山医医药有限公司. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44G18z.html" rel="bookmark" class="title">编辑HTML代码，批量制作博文清单</a>
					<div>
						当积累的博文多了,常想制作一个分类目录,方便读者阅读.这可以是一个不轻松且枯燥的工作. 以&lt;关于&quot;IT学子成长指导&quot;专栏及文章目录&gt;中目录的制作为例,介绍我的&quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
